Package: org.codehaus.groovy.binding

## [Java] Class ClosureSourceBinding

- org.codehaus.groovy.binding.ClosureSourceBinding

- All Implemented Interfaces and Traits:
    SourceBinding

      public class ClosureSourceBinding

  Authors:
    Danno Ferrin
  Since:
    Groovy 1.1

- - ### Constructor Summary

    Constructors
    Constructor and description
    `ClosureSourceBinding (Closure closure)`
    `ClosureSourceBinding (Closure closure, Object[] arguments)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `Closure` | `getClosure()`
    `` | `Object` | `getSourceValue()`
    `` | `void` | `setClosure(Closure closure)`
    `` | `void` | `setClosureArgument(Object argument)`
    `` | `void` | `setClosureArguments(Object[] arguments)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, toString, hashCode, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### public ClosureSourceBinding(Closure closure)

    - #### public ClosureSourceBinding(Closure closure, Object[] arguments)

  - ### Method Detail

    - #### public Closure getClosure()

    - #### public Object getSourceValue()

    - #### public void setClosure(Closure closure)

    - #### public void setClosureArgument(Object argument)

    - #### public void setClosureArguments(Object[] arguments)